From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/fattr/
Date: Sun, 4 Mar 2018 06:12:20 +0000 (UTC) [thread overview]
Message-ID: <1520143586.2d0d2fba5ef8cf11d66a9b7830cf729e6cee70d6.graaff@gentoo> (raw)
commit: 2d0d2fba5ef8cf11d66a9b7830cf729e6cee70d6
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 4 06:06:26 2018 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Mar 4 06:06:26 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2d0d2fba
dev-ruby/fattr: add 2.4.0
Package-Manager: Portage-2.3.19, Repoman-2.3.6
dev-ruby/fattr/Manifest | 1 +
dev-ruby/fattr/fattr-2.4.0.ebuild | 31 +++++++++++++++++++++++++++++++
2 files changed, 32 insertions(+)
diff --git a/dev-ruby/fattr/Manifest b/dev-ruby/fattr/Manifest
index dff1021311c..ebc4d1dd9de 100644
--- a/dev-ruby/fattr/Manifest
+++ b/dev-ruby/fattr/Manifest
@@ -1 +1,2 @@
DIST fattr-2.3.0.gem 12800 BLAKE2B a9ef3e7d69c52193c65139e647f22e99bb8e0f65b2970b26f34c453127af7a4d4c9cbba17627462241b163fbdf654cbb46d2dded2a62a76e0b1abcf04b24f185 SHA512 620825a4659e30402e44d077fd60b4b2260fe3eb7f28c87ca26f61a6be3a2d4e96920ca1d89070dbd90e1d5d760632f6e103766dddb38a8eb1fb104c6b261baf
+DIST fattr-2.4.0.gem 14336 BLAKE2B 1be45d17eac08dbadec9e0a4177f7b1ad7d39c060ce1162961aa8fe3b1c9b0107f10c17a2a9a5d27e652067df7f33aca0afb57b6a268b52999ae7a7b540ad131 SHA512 df3aa4fe187f7922fceaad3b30d4ed9c869ac194f819bc6c57dd574a27e69a74cf9fb10042163d941b0edc7129dc5ede5f92c60a75c6744bb9e8f358f5cf24bc
diff --git a/dev-ruby/fattr/fattr-2.4.0.ebuild b/dev-ruby/fattr/fattr-2.4.0.ebuild
new file mode 100644
index 00000000000..2283734f56b
--- /dev/null
+++ b/dev-ruby/fattr/fattr-2.4.0.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby22 ruby23 ruby24 ruby25"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="README"
+
+RUBY_FAKEGEM_TASK_TEST=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="fattr.rb is a \"fatter attr\" for ruby"
+HOMEPAGE="https://github.com/ahoward/fattr"
+
+LICENSE="Ruby"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~x86-fbsd"
+IUSE="test"
+
+each_ruby_test() {
+ ${RUBY} test/fattr_test.rb || die "Tests failed."
+}
+
+all_ruby_install() {
+ all_fakegem_install
+
+ insinto /usr/share/doc/${PF}
+ doins -r samples
+}
next reply other threads:[~2018-03-04 6:12 UTC|newest]
Thread overview: 15+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-03-04 6:12 Hans de Graaff [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-12-30 13:29 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/fattr/ Hans de Graaff
2023-12-27 20:12 Hans de Graaff
2023-03-27 8:35 Sam James
2022-07-30 6:32 Hans de Graaff
2022-07-30 6:32 Hans de Graaff
2022-06-25 8:55 Hans de Graaff
2020-02-23 6:04 Hans de Graaff
2019-11-03 7:46 Hans de Graaff
2019-02-02 9:00 Hans de Graaff
2018-02-03 18:22 Hans de Graaff
2017-02-05 9:18 Hans de Graaff
2017-02-05 9:18 Hans de Graaff
2016-03-30 5:29 Hans de Graaff
2016-03-09 22:55 Manuel RĂ¼ger
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1520143586.2d0d2fba5ef8cf11d66a9b7830cf729e6cee70d6.graaff@gentoo \
--to=graaff@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox